## Offscreen Buffers Offscreen Buffers — Fuctions for creating and manipulating offscreen frame buffer objects |

## Synopsis

    CoglHandle          cogl_offscreen_new_to_texture       (CoglHandle texhandle);
    CoglHandle          cogl_offscreen_new_multisample      (void);
    CoglHandle          cogl_offscreen_ref                  (CoglHandle handle);
    void                cogl_offscreen_unref                (CoglHandle handle);
    gboolean            cogl_is_offscreen                   (CoglHandle handle);
    void                cogl_offscreen_blit                 (CoglHandle src_buffer,
                                                             CoglHandle dst_buffer);
    void                cogl_offscreen_blit_region          (CoglHandle src_buffer,
                                                             CoglHandle dst_buffer,
                                                             gint src_x,
                                                             gint src_y,
                                                             gint src_w,
                                                             gint src_h,
                                                             gint dst_x,
                                                             gint dst_y,
                                                             gint dst_w,
                                                             gint dst_h);
    void                cogl_draw_buffer                    (CoglBufferTarget target,
                                                             CoglHandle offscreen);

## Description

COGL allows creating and operating on FBOs (Framebuffer Objects).

## Details

### cogl_offscreen_new_to_texture ()

    CoglHandle          cogl_offscreen_new_to_texture       (CoglHandle texhandle);

`texhandle` : |
Returns : |

### cogl_offscreen_new_multisample ()

    CoglHandle          cogl_offscreen_new_multisample      (void);

Returns : |

### cogl_offscreen_ref ()

    CoglHandle          cogl_offscreen_ref                  (CoglHandle handle);

`handle` : |
Returns : |

### cogl_offscreen_unref ()

    void                cogl_offscreen_unref                (CoglHandle handle);

`handle` : |

### cogl_is_offscreen ()

    gboolean            cogl_is_offscreen                   (CoglHandle handle);

Gets whether the given handle references an existing offscreen buffer object.

`handle` : | A CoglHandle
Returns : | `TRUE` if the handle references an offscreen buffer, `FALSE` otherwise

### cogl_offscreen_blit ()

    void                cogl_offscreen_blit                 (CoglHandle src_buffer,
                                                             CoglHandle dst_buffer);

`src_buffer` : |
`dst_buffer` : |

### cogl_offscreen_blit_region ()

    void                cogl_offscreen_blit_region          (CoglHandle src_buffer,
                                                             CoglHandle dst_buffer,
                                                             gint src_x,
                                                             gint src_y,
                                                             gint src_w,
                                                             gint src_h,
                                                             gint dst_x,
                                                             gint dst_y,
                                                             gint dst_w,
                                                             gint dst_h);

`src_buffer` : |
`dst_buffer` : |
`src_x` : |
`src_y` : |
`src_w` : |
`src_h` : |
`dst_x` : |
`dst_y` : |
`dst_w` : |
`dst_h` : |

### cogl_draw_buffer ()

    void                cogl_draw_buffer                    (CoglBufferTarget target,
                                                             CoglHandle offscreen);

`target` : |
`offscreen` : |